std::stop_source::stop_requested(3)

NAME
std::stop_source::stop_requested - std::stop_source::stop_requested

Synopsis
   [[nodiscard]] bool stop_requested() const noexcept; (since C++20)
   Checks if the stop_source object has a stop-state and that state has received a stop
   request.

Parameters
   (none)

Return value
   true if the stop_token object has a stop-state and it has received a stop request,
   false otherwise

Example
    This section is incomplete
    Reason: no example